Skip to main content
PUT
/
v1
/
reporters
/
{reporter_id}
/
workflows
/
{workflow_id}
/
steps
Replace steps
curl --request PUT \
  --url https://api.clipping.cc/v1/reporters/{reporter_id}/workflows/{workflow_id}/steps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "steps": [
    {
      "tool_id": "<string>",
      "params": {},
      "prompt_name": "<string>",
      "prompt_text": "<string>",
      "prompt_schema_json": "<string>",
      "order_index": 123
    }
  ]
}
'
{
  "steps": [
    {
      "step_id": "<string>",
      "tool_id": "<string>",
      "prompt_text": "<string>",
      "params": {},
      "order_index": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.clipping.cc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key: Authorization: Bearer ck_live_…

Path Parameters

reporter_id
string
required
workflow_id
string
required

Body

application/json
steps
object[]
required

Response

New steps.

steps
object[]